<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
//extract($_POST);
$arr= $_POST["cantsis"];
$sistema = unserialize(urldecode($arr));
$continuar=0;
$qp31 = "select curdate() as lafech";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$hoy = $rp31->lafech;


$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());



echo "<center><font size=\"+2\"><b>Inventario F&iacute;sico al d&iacute;a: $hoy</b></font><br> <br>
Antes de continuar Favor de Revisar que las cantidades sean correctas<br>
La cantidad en inventario y la cantidad en sistema deben de ser las mismos<br>
De lo contrario favor de contactar al administrador del sistema, puede existir alg&uacute;n error.<br><br>
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario3.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cant Existencias</th><th>Cant Sistema</th><th>Cant Real</th><th>Diferencias</th>";



while (($objetoPP=mysql_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;

$elbn= $_POST["cant$i"]; $dif=$elbn-$sistema[$i];
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>
			<td align=\"center\">$sistema[$i]</td>
			<td align=\"center\">$elbn</td><td align=\"center\">$dif</td>
			<input type=hidden name=cant$i value=\"$elbn\">

		

		  </tr> 

		 ";

   

}
$serialized = serialize($sistema);
$strenc = urlencode($serialized);
	echo"</table><br>Persona que realiza el inventario:  <input type=\"text\" name=\"realizo\" size=\"20\" maxlength=\"25\"><br><br> 
	Observaciones: (max 150 carac)<br><TEXTAREA NAME=\"comments\" COLS=\"40\" ROWS=\"2\" maxlength=\"150\"></TEXTAREA><br>

	
	<br><font size=\"+1\"  color=\"#990000\">EL inventario solo se puede realizar al inicio del d&iacute;a<br> antes de cualquien operaci&oacute;n</font<br><br>
	<input type=hidden name=cantsis value=\"$strenc\"><input type=\"submit\" value=\"Realizar cambios a Sistema\" name=\"hacer_pedido\"></form></center><br><br>";   



?>
